Package org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCachePartitionMapping

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.cache.ClientCachePartitionMapping

    public class ClientCachePartitionMapping
    extends Object

Cache partition mapping.

### Constructor Summary

Constructors
`ClientCachePartitionMapping​(AffinityAssignment assignment)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`int` `hashCode()`
`void` `write​(BinaryRawWriter writer)` Write mapping using binary writer.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientCachePartitionMapping

    public ClientCachePartitionMapping​(AffinityAssignment assignment)

Parameters:
  `assignment` - Affinity assignment.

### Method Detail

#### write

    public void write​(BinaryRawWriter writer)

Write mapping using binary writer.

Parameters:
  `writer` - Writer.

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`